# CSS

## Methods

#### # (inner) addClass(cssClasses) → {jLight}

Adds css classes to the collections elements.
Parameters:

Name | Type | Description
--- | --- | ---
`cssClasses` | string | Space sepearated classes to add

Source:
  - index.js, line 1805
Tutorials:
  - addClass

Returns:
jLight collection

Type
  jLight

#### # (inner) css(property, ?value) → {jLight|string|CSSStyleDeclaration}

Applies style rules to the collections elements, gets the current style rules or gets the current value for a specific style property.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`property` | string | Object.<string, string> |  | The property name or the properties to set
`value` | string | <optional> | The value to set the supplied property to

Source:
  - index.js, line 1875
Tutorials:
  - css

Returns:
jLight collection, property value or elements CSSStyleDeclaration

Type
  jLight | string | CSSStyleDeclaration

#### # (inner) hasClass(cssClasses) → {boolean}

Whether at least one of the collections elements has all of the provided classes.
Parameters:

Name | Type | Description
--- | --- | ---
`cssClasses` | string | Space sepearated classes to check for

Source:
  - index.js, line 1837
Tutorials:
  - hasClass

Returns:
Whether at least one of the collections elements has all of the provided classes

Type
  boolean

#### # (inner) hide() → {jLight}

Hides the collections elements.

Source:
  - index.js, line 1933
Tutorials:
  - hide

Returns:
jLight collection

Type
  jLight

#### # (inner) removeClass(cssClasses) → {jLight}

Removes css classes to the collections elements.
Parameters:

Name | Type | Description
--- | --- | ---
`cssClasses` | string | Space sepearated classes to remove

Source:
  - index.js, line 1815
Tutorials:
  - removeClass

Returns:
jLight collection

Type
  jLight

#### # (inner) show(?type) → {jLight}

Shows the collections elements.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`type` | string | <optional> | The css display type to apply to the collections elements (default: 'block')

Source:
  - index.js, line 1916
Tutorials:
  - show

Returns:
jLight collection

Type
  jLight

#### # (inner) toggle(?type, ?force) → {jLight}

Toggles the collections elements visibility.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`type` | string | <optional> | The css display type to apply to the function (default: 'block')
`force` | boolean | <optional> | Force whether to show or hide elements

Source:
  - index.js, line 1952
Tutorials:
  - toggle

Returns:
jLight collection

Type
  jLight

#### # (inner) toggleClass(cssClasses, ?force) → {jLight}

Toggles css classes of the collections elements.
Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`cssClasses` | string |  | Space sepearated classes to toggle
`force` | boolean | <optional> | Force whether to add or remove classes

Source:
  - index.js, line 1826
Tutorials:
  - toggleClass

Returns:
jLight collection

Type
  jLight